License History Reference
<!-- MarkdownTOC -->
<!-- /MarkdownTOC -->
The License History API is used to retrieve past license history. For information on licensing Adobe Stock content, see Licensing Stock assets.
License History calls
The License History API returns a list of assets licensed for a given user or organization.
Authentication
The Authorization header is required for any of the licensing calls. The API uses the header to determine the user's member number, licensing status, and default locale. See API authentication for more information.
Request headers
See Headers for Stock API calls for details about header content.
- Required headers:
x-Product,x-api-key,Authorization - Optional headers:
X-Request-Id
URL parameters
Pass the following URL parameters with the GET request.
en_US. See the full list of Locales.[offset] values to page through the found assets. Valid values are 1 through 100. Integer. Default is 100.[limit] value to get the next page of assets. For example, by default your first call uses a 0 offset and limit of 100 to return the first 100 found assets. Call this API again with an offset of 100 to retrieve the next page.110: Small (110px)<br/> 160: Medium (160px)<br/> 240: Large (240px)<br/> 500: Extra large (500px). Returned with watermark.<br/> 1000: Extra-extra large (1000px). Returned with watermark.true: Show all license history for the entire organization.<br/>false (or remove parameter): Show only history for the current user or Stock profile. Default.thumbnail_110_url thumbnail_110_height thumbnail_110_width thumbnail_160_url thumbnail_160_height thumbnail_160_width thumbnail_220_url thumbnail_220_height thumbnail_220_width thumbnail_240_url thumbnail_240_height thumbnail_240_width thumbnail_500_url thumbnail_500_height thumbnail_500_width thumbnail_1000_url thumbnail_1000_height thumbnail_1000_widthResponses
Files are returned in a JSON array with this structure.
{
"nb_results": 0,
"files": [
{
"license": "string",
"license_date": "string",
"download_url": "string",
"id": 0,
"title": "string",
"width": 0,
"height": 0,
"creator_name": "string",
"creator_id": 0,
"media_type_id": 1,
"vector_type": "Unknown Type: string,null",
"content_type": "string",
"thumbnail_url": "string",
"thumbnail_width": 0,
"thumbnail_height": 0,
"details_url": "string"
}
]
}
In the table below, fields marked with * are returned by default.
Standard, Standard_M, Extended, Video_HD, Video_4K). String.1: Photos, 2: Illustrations, 3: Vectors, 4: Videos, 6: 3D, 7: Templates). Integer.image/jpeg). String."thumbnail_160_width": 200Note: Allowable values for thumbnail_*_url, thumbnail_*_width and thumbnail_*_height fields: 110, 160, 220, 240, 500, 1000.
Example requests and responses
Simple example
curl --location --request GET 'https://stock.adobe.io/Rest/Libraries/1/Member/LicenseHistory?locale=en_US' --header 'X-Product: MySampleApp/1.0' --header 'x-api-key: MyApiKey' --header 'Authorization: Bearer MyAccessToken'
{
"nb_results": 13,
"files": [
{
"license": "Standard",
"license_date": "9/21/17, 9:00 PM",
"download_url": "https://stock.adobe.com/Download/DownloadFileDirectly/xM0nanNQXGEFjXOfV3RBTMet3uP2qDwe",
"id": 121684652,
"title": "Modern Album Layouts",
"creator_name": "Creativedash",
"creator_id": 206267052,
"content_url": "https://stock.adobe.com/Rest/stock-photo/modern-album-layouts/121684652",
"media_type_id": 7,
"vector_type": null,
"content_type": "image/vnd.adobe.photoshop.template",
"height": 1424,
"width": 2048,
"details_url": "https://stock.adobe.com/121684652?as_channel=affiliate&as_source=api&as_content=73ebcc931b9c454b8cb150816fadb06a"
}, /*... more files */
]
}
Example fetching all history and using pagination
curl --location -g --request GET 'https://stock.adobe.io/Rest/Libraries/1/Member/LicenseHistory?locale=en_US&search_parameters[limit]=20&search_parameters[offset]=0&all=true' --header 'X-Product: MySampleApp/1.0' --header 'x-api-key: MyApiKey' --header 'Authorization: Bearer MyAccessToken'
In the example above, the request will return the first 20 of 239 results. Without this command, the API returned only 13 results (see previous example.)
{
"nb_results": 239,
"files": [
{
"license": "Standard",
"license_date": "9/21/17, 9:00 PM",
"download_url": "https://stock.adobe.com/Download/DownloadFileDirectly/xM0nanNQXGEFjXOfV3RBTMet3uP2qDwe",
"id": 121684652,
"title": "Modern Album Layouts",
"creator_name": "Creativedash",
"creator_id": 206267052,
"content_url": "https://stock.adobe.com/Rest/stock-photo/modern-album-layouts/121684652",
"media_type_id": 7,
"vector_type": null,
"content_type": "image/vnd.adobe.photoshop.template",
"height": 1424,
"width": 2048,
"details_url": "https://stock.adobe.com/121684652?as_channel=affiliate&as_source=api&as_content=73ebcc931b9c454b8cb150816fadb06a"
}, /*... more files */
]
}